## ---- include = FALSE---------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----setup, echo=FALSE--------------------------------------------------------
library(visCorVar)
library(xtable)

## ----data_integration, eval=FALSE, echo=TRUE----------------------------------
#  
#  res_data_integration = block.splsda(X = list_X,
#                                      Y = factor_Y,
#                                      ncomp = ncomp,
#                                      keepX = keepX,
#                                      design = design,
#                                      scheme = scheme,
#                                      mode = mode,
#                                      max.iter = max_iter)
#  
#  

## ----block_Y, echo=FALSE------------------------------------------------------
load(system.file("extdata", "block_Y.rda", package="visCorVar"))
xtable_block_Y = xtable(block_Y)

## ----variables_of_interest, echo=FALSE----------------------------------------
load(system.file("extdata", "var_interest.rda", package="visCorVar"))
dataframe_var_interest = data.frame(var = var_interest)
xtable_var_interest = xtable(dataframe_var_interest)

## ----example_block_Y, echo=FALSE----------------------------------------------
knitr::kable(xtable_block_Y)

## ----example_variables_interest, echo=FALSE-----------------------------------
knitr::kable(xtable_var_interest)

## ----preprocessing, echo = TRUE-----------------------------------------------
load(system.file("extdata", "res_data_integration.rda", package="visCorVar"))
comp = 1:2
cutoff_comp = 0.8
res_matCorAddVar = matCorAddVar(res_block_splsda = res_data_integration,
                                block_Y = block_Y,
                                cutoff_comp = cutoff_comp,
                                var_interest = var_interest,
                                comp = comp)

## ----circleCor, echo=TRUE, fig.show='hide'------------------------------------
library(RColorBrewer)
list_cor_comp_selected_var_resp_var = res_matCorAddVar$list_cor_comp_selected_var_resp_var
list_vec_index_block_select = res_matCorAddVar$list_vec_index_block_select
mat_cor_comp1 = res_matCorAddVar$mat_cor_comp1
mat_cor_comp2 = res_matCorAddVar$mat_cor_comp2
names_blocks = c("X1", "X3")
names_response_variables = c("A", "B")
comp = 1:2
vec_col = colorRampPalette(brewer.pal(9, "Spectral"))(dim(mat_cor_comp1)[1] + 1)

names_block_variables=circleCor(list_dataframe_cor_comp_var_global=list_cor_comp_selected_var_resp_var,    
                                list_vec_index_block_select = list_vec_index_block_select,
                                mat_cor_comp1 = mat_cor_comp1,
                                mat_cor_comp2 = mat_cor_comp2,
                                names_blocks = names_blocks,
                                names_response_variables = names_response_variables,
                                comp = comp,
                                cutoff = 0.85,
                                min.X = -1,
                                max.X = 1,
                                min.Y = -1,
                                max.Y = 1,
                                vec_col = vec_col,
                                rad.in = 0.5, 
                                cex = 0.7,
                                cex_legend = 0.8,
                                pos = c(1.2, 0),
                                pch = 20)

## ----computeMatSimilarity, echo=TRUE------------------------------------------
comp = 1:2
cutoff_comp = 0.8
res_compute_mat_similarity = computeMatSimilarity(res_matCorAddVar = res_matCorAddVar)

## ----networkVar, echo=TRUE----------------------------------------------------
names_blocks = c("X1", "X3")
names_response_variables = c("A", "B")
comp = 1:2
names_resp_var2 = c("A")
res_networkVar = networkVar(res_compute_mat_similarity = res_compute_mat_similarity,
                            names_block_variables = names_block_variables,
                            names_response_variables = names_resp_var2,
                            cutoff = 0)

